> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get registered Webhook

> Gets detail of the registered webhook



## OpenAPI

````yaml get /user/webhook/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /user/webhook/:
    get:
      tags:
        - user
      description: Gets detail of the registered webhook
      operationId: Get Registered Webhook
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserWebhook'
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    UserWebhook:
      type: object
      description: Allows to specify fields to be included
      properties:
        endpoint:
          type: string
          format: uri
          description: Endpoint to listen to the subscribed events.
        key:
          type: string
          description: Secret key to perform HTTP Signature Verification.
        events:
          type: array
          items:
            type: string
            description: Name of the event
          readOnly: true
          description: Events to be observed.
      required:
        - endpoint
        - events
        - key
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````